/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import type { RegionRestriction }
  from "../../../interfaces/weather/regions/regionRestriction.js";

export const inarikoSeasons: Array<RegionRestriction> = [
  {
    precipitation: [
      "Blizzard",
      "Cloudy",
      "Fog",
      "Hail",
      "Heavy Rain",
      "Heavy Snow",
      "Light Rain",
      "Light Snow",
      "Partly Cloudy",
      "Rain",
      "Sleet",
      "Snow",
      "Sunny",
      "Thundersnow",
      "Thunderstorm",
    ],
    season:  "Winter",
    special: [ "Avalanche", "Meteor Shower", "Blight Rain" ],
    temps:   [ "Frigid", "Freezing", "Cold", "Chilly", "Brisk" ],
    wind:    [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
  },
  {
    precipitation: [
      "Cloudy",
      "Fog",
      "Hail",
      "Heavy Rain",
      "Light Rain",
      "Light Snow",
      "Partly Cloudy",
      "Rain",
      "Rainbow",
      "Sleet",
      "Snow",
      "Sun Shower",
      "Sunny",
      "Thunderstorm",
    ],
    season:  "Spring",
    special: [
      "Fairy Circle",
      "Flood",
      "Flower Bloom",
      "Jubilee",
      "Meteor Shower",
      "Blight Rain",
    ],
    temps: [ "Chilly", "Brisk", "Cool", "Mild", "Perfect", "Warm" ],
    wind:  [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
  },
  {
    precipitation: [
      "Cloudy",
      "Fog",
      "Hail",
      "Heat Lightning",
      "Heavy Rain",
      "Light Rain",
      "Partly Cloudy",
      "Rain",
      "Rainbow",
      "Sun Shower",
      "Sunny",
      "Thunderstorm",
    ],
    season:  "Summer",
    special: [
      "Fairy Circle",
      "Flood",
      "Flower Bloom",
      "Jubilee",
      "Meteor Shower",
      "Muggy",
      "Blight Rain",
    ],
    temps: [ "Mild", "Perfect", "Warm", "Hot", "Scorching" ],
    wind:  [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
  },
  {
    precipitation: [
      "Blizzard",
      "Cloudy",
      "Fog",
      "Hail",
      "Heat Lightning",
      "Heavy Rain",
      "Heavy Snow",
      "Light Rain",
      "Light Snow",
      "Partly Cloudy",
      "Rain",
      "Rainbow",
      "Sleet",
      "Snow",
      "Sunny",
      "Thundersnow",
      "Thunderstorm",
    ],
    season:  "Fall",
    special: [
      "Avalanche",
      "Fairy Circle",
      "Flood",
      "Flower Bloom",
      "Jubilee",
      "Meteor Shower",
      "Muggy",
      "Blight Rain",
    ],
    temps: [ "Cold", "Chilly", "Brisk", "Cool", "Mild", "Perfect" ],
    wind:  [
      "Calm",
      "Breeze",
      "Moderate",
      "Fresh",
      "Strong",
      "Gale",
      "Storm",
      "Hurricane",
    ],
  },
];
